settings.logAddedRecipes = true
settings.logRemovedRecipes = true

events.listen('recipes', function (event) {

    event.remove({id: 'minecraft:chest'})
    event.remove({id: 'minecraft:furnace'})
    event.remove({id: 'minecraft:wooden_pickaxe'})
    event.remove({id: 'minecraft:bread'})
    event.remove({id: 'pamhc2crops:bread_grain'})
    event.remove({id: 'appliedenergistics2:grinder/flour'})
    event.remove({id: 'minecraft:iron_ingot'})
    event.remove({id: 'minecraft:iron_ingot_from_blasting'})
    event.remove({id: 'appliedenergistics2:smelting/iron_ingot'})
    event.remove({id: 'minecraft:gold_ingot'})
    event.remove({id: 'minecraft:gold_ingot_from_blasting'})
    event.remove({id: 'appliedenergistics2:smelting/gold_ingot'})
    event.remove({id: 'minecraft:coal_from_smelting'})
    event.remove({id: 'minecraft:coal_from_blasting'})
    event.remove({id: 'minecraft:lapis_from_smelting'})
    event.remove({id: 'minecraft:lapis_from_blasting'})
    event.remove({id: 'minecraft:redstone_from_smelting'})
    event.remove({id: 'minecraft:redstone_from_blasting'})
    event.remove({id: 'minecraft:diamond_from_smelting'})
    event.remove({id: 'minecraft:diamond_from_blasting'})
    event.remove({id: 'minecraft:quartz_from_blasting'})
    event.remove({id: 'minecraft:quartz_from_blasting'})
    event.remove({id: 'minecraft:emerald_from_smelting'})
    event.remove({id: 'minecraft:emerald_from_blasting'})
    event.remove({id: 'minecraft:stone_pickaxe'})
    event.remove({id: 'appliedenergistics2:tools/certus_quartz_pickaxe'})
    event.remove({id: 'appliedenergistics2:tools/certus_quartz_hoe'})
    event.remove({id: 'appliedenergistics2:tools/certus_quartz_sword'})
    event.remove({id: 'appliedenergistics2:tools/certus_quartz_axe'})
    event.remove({id: 'appliedenergistics2:tools/certus_quartz_spade'})
    event.remove({id: 'minecraft:netherite_ingot'})   
    event.remove({id: 'minecraft:blast_furnace'})  
    event.remove({id: 'minecraft:glass'})  
    event.remove({id: 'minecraft:stonecutter'})  
    event.remove({id: 'immersiveengineering:crafting/alloybrick'}) 
    event.remove({input: 'immersiveengineering:hammer'})
    event.remove({input: 'immersiveengineering:wirecutter'})
    event.remove({id: 'immersiveengineering:crafting/blastbrick'}) 
    event.remove({id: 'immersiveengineering:crafting/cokebrick'}) 
    event.remove({id: 'immersiveengineering:crafting/shovel_steel'}) 
    event.remove({id: 'immersiveengineering:crafting/hoe_steel'}) 
    event.remove({id: 'immersiveengineering:crafting/axe_steel'}) 
    event.remove({id: 'immersiveengineering:crafting/pickaxe_steel'}) 
    event.remove({id: 'industrialforegoing:machine_frame_pity'})
    event.remove({id: 'industrialforegoing:pitiful_generator'})
    event.remove({id: 'minecraft:diamond_shovel'}) 
    event.remove({id: 'minecraft:diamond_pickaxe'}) 
    event.remove({id: 'minecraft:diamond_axe'}) 
    event.remove({id: 'minecraft:diamond_hoe'}) 
    event.remove({id: 'minecraft:diamond_sword'}) 
    event.remove({id: 'minecraft:flint_and_steel'})
    event.remove({id: 'storagenetwork:master'})
    event.remove({id: 'storagenetwork:kabel'})
    event.remove({id: 'storagenetwork:storage_kabel'})
    event.remove({id: 'storagenetwork:request'})
    event.remove({id: 'storagenetwork:inventory'})
    event.remove({id: 'storagenetwork:inventory_remote'})
    event.remove({id: 'storagenetwork:crafting_remote'})
    event.remove({id: 'minecraft:netherite_scrap'})
    event.remove({id: 'minecraft:netherite_scrap_from_blasting'})
    event.remove({id: 'mekanism:steel_casing'})
    event.remove({id: 'mekanism:processing/steel/enriched_iron_to_dust'})
    event.remove({id: 'mekanism:metallurgic_infuser'})
    event.remove({id: 'woodenutilities:wooden_shears'})
    event.remove({output: '#forge:ingots'})
    event.remove({id: 'immersiveengineering:crafting/electrum_mix'})
    event.remove({id: 'notreepunching:clay_tool'})
    event.remove({id: 'notreepunching:iron_mattock'})
    event.remove({id: 'notreepunching:gold_mattock'})
    event.remove({id: 'notreepunching:diamond_mattock'})
    event.remove({id: 'appliedenergistics2:misc/meteors_sky_compass'})
    event.remove({id: 'appliedenergistics2:network/blocks/inscribers'})
    event.remove({id: 'appliedenergistics2:smelting/silicon'})
    event.remove({id: 'solarflux:1/mirror'})
    event.remove({id: 'mysticalagriculture:infusion_altar'})

    event.shapeless(item.of('minecraft:wheat_seeds', 1), ['minecraft:grass'])
    event.shapeless(item.of('pamhc2foodcore:freshwateritem', 8), item.of('ceramicbucket:filled_ceramic_bucket', {Fluid:{FluidName:"minecraft:water",Amount:1000}}))
    event.shapeless(item.of('solcarrot:food_book', 1), ['minecraft:book','minecraft:bread'])
    event.shapeless(item.of('minecraft:flint_and_steel', 1), ['#forge:ingots/steel','minecraft:flint'])

    event.recipes.minecraft.blasting(item.of('minecraft:gold_ingot', 1), '#forge:dusts/gold').xp(1.0),
    event.recipes.minecraft.blasting(item.of('minecraft:iron_ingot', 1), '#forge:dusts/iron').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:zinc_ingot', 1), '#forge:dusts/zinc').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:copper_ingot', 1), '#forge:dusts/copper').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:lead_ingot', 1), '#forge:dusts/lead').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:nickel_ingot', 1), '#forge:dusts/nickel').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:osmium_ingot', 1), '#forge:dusts/osmium').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:platinum_ingot', 1), '#forge:dusts/platinum').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:silver_ingot', 1), '#forge:dusts/silver').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:tin_ingot', 1), '#forge:dusts/tin').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:uranium_ingot', 1), '#forge:dusts/uranium').xp(1.0)
    event.recipes.minecraft.blasting(item.of('alltheores:aluminum_ingot', 1), '#forge:dusts/aluminum').xp(1.0)
    event.recipes.minecraft.blasting(item.of('minecraft:glass', 1), '#forge:sand').xp(0.3)
    event.recipes.minecraft.blasting(item.of('minecraft:brick', 1), 'minecraft:clay_ball').xp(0.1)

//Furnace Recipes

    event.smelting(item.of('minecraft:bread', 1), 'pamhc2foodcore:doughitem')

//Crafting Recipes

    event.shaped(item.of('mysticalagriculture:infusion_altar', 1), [
    ' F ',
    'CSC',
    'CSC'
  ], {
    S: '#forge:stone',
    C: 'minecraft:red_carpet',
    F: 'appliedenergistics2:fluix_crystal'
  })

    event.shaped(item.of('industrialforegoing:machine_frame_pity', 1), [
    'OOO',
    'OSO',
    'OOO'
  ], {
    S: 'mekanism:steel_casing',
    O: '#forge:ingots/osmium'
  })

    event.shaped(item.of('mekanism:metallurgic_infuser', 1), [
    'OFO',
    'OSO',
    'OFO'
  ], {
    S: 'mekanism:steel_casing',
    O: '#forge:ingots/osmium',
    F: 'minecraft:blast_furnace'
  })

    event.shaped(item.of('solarflux:mirror', 3), [
    'QQQ',
    'GGG',
    'SSS'
  ], {
    G: '#forge:glass',
    Q: 'minecraft:quartz',
    S: '#forge:ingots/steel'
  })

    event.shaped(item.of('appliedenergistics2:inscriber', 1), [
    'IPI',
    'I I',
    'IPI'
  ], {
    I: '#forge:ingots/iron',
    P: 'minecraft:sticky_piston'
  })

    event.shaped(item.of('mekanism:steel_casing', 1), [
    'SSS',
    'FOF',
    'SSS'
  ], {
    S: '#forge:plates/steel',
    O: '#forge:storage_blocks/osmium',
    F: 'appliedenergistics2:fluix_crystal'
  })

    event.shaped(item.of('appliedenergistics2:sky_compass', 1), [
    ' S ',
    'SPS',
    ' S '
  ], {
    P: 'naturescompass:naturescompass',
    S: '#forge:ingots/steel'
  })

    event.shaped(item.of('immersiveengineering:treated_wood_horizontal', 8), [
    'SSS',
    'SPS',
    'SSS'
  ], {
    P: 'immersiveengineering:creosote_bucket',
    S: '#minecraft:planks'
  })

    event.shaped(item.of('immersiveengineering:treated_wood_horizontal', 8), [
    'SSS',
    'SPS',
    'SSS'
  ], {
    P: item.of('ceramicbucket:filled_ceramic_bucket', {Fluid:{FluidName:"immersiveengineering:creosote",Amount:1000}}),
    S: '#minecraft:planks'
  })

    event.shaped(item.of('woodenutilities:wooden_shears', 1), [
    'SPS',
    'SPS',
    ' R '
  ], {
    R: '#forge:string',
    S: '#forge:rods/wooden',
    P: '#minecraft:planks'
  })

    event.shaped(item.of('storagenetwork:crafting_remote', 1), [
    'SDS',
    'DBD',
    'SFS'
  ], {
    S: '#forge:plates/steel',
    B: 'storagenetwork:inventory',
    D: 'minecraft:crafting_table',
    F: 'storagenetwork:inventory_remote'
  })

    event.shaped(item.of('storagenetwork:inventory_remote', 1), [
    'SDS',
    'DBD',
    'S S'
  ], {
    S: '#forge:plates/steel',
    B: 'storagenetwork:inventory',
    D: 'minecraft:ender_pearl'
  })

    event.shaped(item.of('storagenetwork:request', 1), [
    'SDS',
    'DBD',
    'SDS'
  ], {
    S: '#forge:plates/steel',
    B: 'storagenetwork:inventory',
    D: 'minecraft:crafting_table'
  })

    event.shaped(item.of('storagenetwork:inventory', 1), [
    'SDS',
    'DBD',
    'SDS'
  ], {
    S: '#forge:plates/steel',
    B: 'appliedenergistics2:smooth_sky_stone_chest',
    D: 'appliedenergistics2:sky_dust'
  })

    event.shaped(item.of('storagenetwork:inventory', 1), [
    'SDS',
    'DBD',
    'SDS'
  ], {
    S: '#forge:plates/steel',
    B: 'appliedenergistics2:sky_stone_chest',
    D: 'appliedenergistics2:sky_dust'
  })

    event.shaped(item.of('storagenetwork:storage_kabel', 4), [
    ' S ',
    'SCS',
    ' S '
  ], {
    S: 'storagenetwork:kabel',
    C: 'appliedenergistics2:sky_stone_chest'
  })

    event.shaped(item.of('storagenetwork:storage_kabel', 4), [
    ' S ',
    'SCS',
    ' S '
  ], {
    S: 'storagenetwork:kabel',
    C: 'appliedenergistics2:smooth_sky_stone_chest'
  })

    event.shaped(item.of('storagenetwork:kabel', 8), [
    'SSS',
    'DDD',
    'SSS'
  ], {
    S: '#forge:plates/steel',
    D: 'appliedenergistics2:sky_dust'
  })

    event.shaped(item.of('storagenetwork:master', 1), [
    'SDS',
    'DBD',
    'SDS'
  ], {
    S: '#forge:plates/steel',
    B: 'appliedenergistics2:smooth_sky_stone_block',
    D: 'appliedenergistics2:sky_dust'
  })

    event.shaped(item.of('immersiveengineering:component_steel', 1), [
    'SSS',
    'SBS',
    'SSS'
  ], {
    S: '#forge:ingots/steel',
    B: '#forge:ingots/copper'
  })

    event.shaped(item.of('immersiveengineering:heavy_engineering', 1), [
    'SRS',
    'RBR',
    'SRS'
  ], {
    S: '#forge:ingots/steel',
    B: '#forge:ingots/electrum',
    R: 'immersiveengineering:component_steel'
  })

    event.shaped(item.of('immersiveengineering:rs_engineering', 1), [
    'SRS',
    'RBR',
    'SRS'
  ], {
    S: '#forge:ingots/iron',
    B: '#forge:ingots/copper',
    R: '#forge:dusts/redstone'
  })

    event.shaped(item.of('immersiveengineering:mold_plate', 1), [
    'SSS',
    'S S',
    'SSS'
  ], {
    S: '#forge:ingots/steel'
  })

    event.shaped(item.of('industrialforegoing:pitiful_generator', 1), [
    'SRS',
    'RBR',
    'SRS'
  ], {
    S: '#forge:ingots/steel',
    B: 'minecraft:blast_furnace',
    R: 'immersiveengineering:ingot_electrum'
  })

    event.shaped(item.of('immersiveengineering:blastbrick', 3), [
    'SRS',
    'RBR',
    'SRS'
  ], {
    S: 'immersiveengineering:ingot_electrum',
    B: 'minecraft:blast_furnace',
    R: 'minecraft:brick'
  })

   event.shaped(item.of('immersiveengineering:cokebrick', 3), [
    'SRS',
    'RBR',
    'SRS'
  ], {
    S: 'immersiveengineering:ingot_constantan',
    B: 'minecraft:coal_block',
    R: 'minecraft:brick'
  })

    event.shaped(item.of('minecraft:chest', 1), [
    'SSS',
    'S S',
    'SSS'
  ], {
    S: 'woodenutilities:wooden_plate'
  })

    event.shaped(item.of('minecraft:furnace', 1), [
    'CCC',
    'CFC',
    'CSC'
  ], {
    S: 'compressium:cobblestone_1',
    C: '#forge:cobblestone',
    F: 'woodenutilities:wooden_furnace'
  })

    event.shaped(item.of('minecraft:blast_furnace', 1), [
    'CCC',
    'CFC',
    'SSS'
  ], {
    S: 'compressium:stone_1',
    C: 'minecraft:smooth_stone',
    F: 'minecraft:furnace'
  })

    event.shaped(item.of('minecraft:stonecutter', 1), [
    ' C ',
    'CFC',
    'SSS'
  ], {
    S: '#forge:stone',
    C: '#forge:ingots/iron',
    F: 'appliedenergistics2:wooden_gear'
  })

})